TribeTale API Docs
Content APIPosts

Browse published posts.

GET
/posts/

Content API post responses never expose mobiledoc or lexical. Allowed includes are tags, authors, tiers, and sentiment.

Authorization

ContentApiKey
key<token>

Content API key passed as the key query parameter.

In: query

Query Parameters

key*string

Content API key.

include?string

Comma-separated includes. Allowed values are tags, authors, tiers, and sentiment.

filter?string

NQL filter string. Content API models also apply public/active enforced filters.

fields?string

Comma-separated field list.

formats?string

Comma-separated formats. Content API strips mobiledoc and lexical; use html and/or plaintext.

limit?|
order?string
page?integer
absolute_urls?boolean

Response Body

application/json

curl -X GET "https://example.com/posts/?key=22444f78447824223cefc48062&include=tags%2Cauthors&filter=tag%3Anews&fields=id%2Ctitle%2Cslug%2Curl&formats=html%2Cplaintext&limit=15&order=published_at+desc&page=1"
{
  "posts": [
    {
      "id": "64f0f2c75b8d5b0012345678",
      "uuid": "9c37b6c1-7bb4-4a1e-9ac8-17927e305597",
      "title": "Weekly update",
      "slug": "weekly-update",
      "html": "<p>Hello from TribeTale.</p>",
      "feature_image": "https://example.com/content/images/2026/06/update.jpg",
      "featured": false,
      "type": "post",
      "status": "published",
      "visibility": "public",
      "url": "https://example.com/weekly-update/",
      "published_at": "2026-06-03T16:00:00.000Z"
    }
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 15,
      "pages": 1,
      "total": 1,
      "next": null,
      "prev": null
    }
  }
}